##parameters=
# $Id: getWAeUPLayouts.py 29 2005-09-30 22:27:01Z joachim $
"""Return custom layouts types."""
layouts = {}

student_layout = {
    'widgets': {
        'jamb_is_admitted': {
            'type': 'Boolean Widget',
            'data': {
                'title': 'Jamb Admission',
                'fields': ('jamb_where_admitted',),
                'is_required': False,
                'label': 'Jamb Admission',
                'label_edit': 'Jamb Admission',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 0,
            },
        },
        'jamb_where_admitted': {
            'type': 'String Widget',
            'data': {
                'title': 'Jamb Admission Location',
                'fields': ('jamb_where_admitted',),
                'is_required': False,
                'label': 'University',
                'label_edit': 'University',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 0,
            },
        },
        'jamb_pin_usage': {
            'type': 'Int Widget',
            'data': {
                'title': 'Jamb Pin usage',
                'fields': ('jamb_pin_usage',),
                'is_required': False,
                'label': 'Nr of Cardusage',
                'label_edit': 'Nr of Cardusage',
                'description': '',
                'help': 'How many times has the scratchcard been used',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 2,
                'size_max': 2,
            },
        },
        'faculty': {
            'type': 'String Widget',
            'data': {
                'title': 'Faculty',
                'fields': ('faculty',),
                'is_required': False,
                'label': 'Faculty',
                'label_edit': 'Faculty',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 0,
            },
        },
    },
    'layout': {
        'style_prefix': 'layout_default_',
        'flexible_widgets': (),
        'ncols': 1,
        'rows': [
            [{'widget_id': 'jamb_is_admitted', 'ncols': 1},],
            [{'widget_id': 'jamb_where_admitted', 'ncols': 1},],
            [{'widget_id': 'jamb_pin_usage', 'ncols': 1},],
            [{'widget_id': 'faculty', 'ncols': 1},],
        ]
    },
}
layouts['student'] = student_layout

scratch_card = {
    'widgets': {
        'sc_id': {
            'type': 'String Widget',
            'data': {
                'title': 'SC ID',
                'fields': ('sc_id',),
                'is_required': True,
                'label': 'Scratch card ID',
                'label_edit': 'Scratch card ID',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 0,
            },
        },
        'sc_pin': {
            'type': 'Scratchcard Pin Widget',
            'data': {
                'title': 'SC Pin',
                'fields': ('sc_pin'),
                'is_required': True,
                'label': 'Scratchcard Pin',
                'label_edit': 'Scratchcard Pin',
                'description': '',
                'help': 'Please enter a valid Scratch card pin',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 10,
            },
        },
    },
   'layout': {
        'style_prefix': 'layout_default_',
        'flexible_widgets': (),
        'ncols': 1,
        'rows': [
            [{'widget_id': 'reg_nr', 'ncols': 1},],
            [{'widget_id': 'sc_pin', 'ncols': 1},],
        ]
    },
}

layouts['scratch_card'] = scratch_card

jamb_layout = {
    'widgets': {
        'reg_nr': {
            'type': 'StudentId Widget',
            'data': {
                'title': 'Student ID',
                'fields': ('reg_nr',),
                'is_required': True,
                'label': 'Student ID',
                'label_edit': 'Student ID',
                'description': 'The Student ID from JAMB',
                'help': 'The Student ID from JAMB',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 8,
                'size_max': 8,
            },
        },
        'name': {
            'type': 'String Widget',
            'data': {
                'title': '',
                'fields': ('name',),
                'is_required': False,
                'label': 'Name',
                'label_edit': 'Name',
                'description': '',
                'help': 'Please enter your full name.',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 40,
                'size_max': 0,
            },
        },
        'age': {
            'type': 'Int Widget',
            'data': {
                'title': '',
                'fields': ('age',),
                'is_required': False,
                'label': 'Age',
                'label_edit': 'Age',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 2,
                'size_max': 2,
            },
        },
        'sex': {
            'type': 'Boolean Widget',
            'data': {
                'title': '',
                'fields': ('sex',),
                'is_required': False,
                'label': 'sex',
                'label_edit': 'sex',
                'label_false': 'male',
                'label_true': 'female',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'state': {
            'type': 'String Widget',
            'data': {
                'title': '',
                'fields': ('state_of_origin',),
                'is_required': False,
                'label': 'State',
                'label_edit': 'State',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'exam_results': {
            'type': 'String Widget',
            'data': {
                'title': '',
                'fields': ('exam_results',),
                'is_required': False,
                'label': 'Jamb Results',
                'label_edit': 'Jamb Results',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'aggregate': {
            'type': 'String Widget',
            'data': {
                'title': 'Agregate',
                'fields': ('aggregate',),
                'is_required': False,
                'label': 'Aggregate',
                'label_edit': 'Aggregate',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 3,
                'size_max': 0,
            },
        },
        '2nd_choice': {
            'type': 'String Widget',
            'data': {
                'title': 'Second choice',
                'fields': ('2nd_choice',),
                'is_required': False,
                'label': 'Second choice',
                'label_edit': 'Second choice',
                'description': '',
                'help': 'second_choice',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        '3rd_choice': {
            'type': 'String Widget',
            'data': {
                'title': 'Third_choice',
                'fields': ('3rd_choice',),
                'is_required': False,
                'label': 'Third choice',
                'label_edit': 'Third choice',
                'description': 'third_choice',
                'help': 'third_choice',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
    },
    'layout': {
        'style_prefix': 'layout_default_',
        'flexible_widgets': (),
        'ncols': 1,
        'rows': [
            [{'widget_id': 'reg_nr', 'ncols': 1},],
            [{'widget_id': 'name', 'ncols': 1},],
            [{'widget_id': 'age', 'ncols': 1},],
            [{'widget_id': 'sex', 'ncols': 1},],
            [{'widget_id': 'state', 'ncols': 1},],
            [{'widget_id': 'exam_results', 'ncols': 1},],
            [{'widget_id': 'aggregate', 'ncols': 1},],
            [{'widget_id': '2nd_choice', 'ncols': 1},],
            [{'widget_id': '3rd_choice', 'ncols': 1},],
        ]
    },
}

layouts['jamb'] = jamb_layout

return layouts
